Skip to content
CatalogChannels

List product publications

Returns the product's listing on each channel with status, price, link and readiness.

GET/v1/channels/products/{productId}/publications
Requires an access token with the catalog:read permission.

Path Parameters

productId*string

Identifier of the product.

Query Parameters

includeInactive?boolean

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/channels/products/7204558912004322039/publications" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "channelId": "7204558912004329619",    "channelName": "Polo de algodón",    "providerId": "7204558912004329705",    "channelType": "ecommerce",    "listingType": "salesChannel",    "listingId": "7204558912004321492",    "listingStatus": "draft",    "externalId": "7204558912004323067",    "externalUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",    "lastSyncAt": "2026-09-28T15:30:00Z",    "price": 89,    "compareAtPrice": 99,    "lastSyncError": "Polo de algodón",    "lastSyncErrorCode": "POL-001",    "readinessStatus": "ready",    "readinessIssues": [      {        "code": "POL-001",        "message": "Entregar después de las 18:00.",        "blocking": false,        "source": "Tienda online",        "references": [          "Mi tienda"        ],        "causeCode": 1,        "sku": "POL-001-AZ-M",        "attributeId": "7204558912004325220"      }    ],    "publishable": false  }]